# Uses of Class
org.apache.lucene.search.FieldValueHitQueue.Entry

Packages that use FieldValueHitQueue.Entry
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of FieldValueHitQueue.Entry in org.apache.lucene.search

  Classes in org.apache.lucene.search with type parameters of type FieldValueHitQueue.Entry
  Modifier and Type
  Class
  Description
  `class`
  `FieldValueHitQueue<T extends FieldValueHitQueue.Entry>`
  Expert: A hit queue for sorting by hits by terms in more than one field.
  Methods in org.apache.lucene.search with type parameters of type FieldValueHitQueue.Entry
  Modifier and Type
  Method
  Description
  `static <T extends FieldValueHitQueue.Entry>
  FieldValueHitQueue<T>`
  FieldValueHitQueue.`create(SortField[] fields, int size)`
  Creates a hit queue sorted by the given list of fields.
  Methods in org.apache.lucene.search with parameters of type FieldValueHitQueue.Entry
  Modifier and Type
  Method
  Description
  `protected abstract boolean`
  FieldValueHitQueue.`lessThan(FieldValueHitQueue.Entry a, FieldValueHitQueue.Entry b)`